OpenCL C++ Bindings: cl::detail::Wrapper< cl_device_id > Class Reference

OpenCL C++ Bindings

Public Types | Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Friends | List of all members
cl::detail::Wrapper< cl_device_id > Class Reference
Inheritance diagram for cl::detail::Wrapper< cl_device_id >:

## Public Types
typedef cl_device_id | cl_type

## Public Member Functions
| Wrapper (const cl_type &obj, bool retainObject)
| Wrapper (const Wrapper< cl_type > &rhs)
| Wrapper (Wrapper< cl_type > &&rhs) CL_HPP_NOEXCEPT_
Wrapper< cl_type > & | operator= (const Wrapper< cl_type > &rhs)
Wrapper< cl_type > & | operator= (Wrapper< cl_type > &&rhs)
Wrapper< cl_type > & | operator= (const cl_type &rhs)
const cl_type & | operator() () const
cl_type & | operator() ()
cl_type | get () const

## Protected Member Functions
cl_int | retain () const
cl_int | release () const

## Static Protected Member Functions
static bool | isReferenceCountable (cl_device_id device)

## Protected Attributes
cl_type | object_
bool | referenceCountable_

## Friends
template<typename Func , typename U >
cl_int | getInfoHelper (Func, cl_uint, U *, int, typename U::cl_type)
template<typename Func , typename U >
cl_int | getInfoHelper (Func, cl_uint, vector< U > *, int, typename U::cl_type)

## Detailed Description

Definition at line 1945 of file opencl.hpp.

## Member Typedef Documentation

## ◆ cl_type

typedef cl_device_id cl::detail::Wrapper< cl_device_id >::cl_type

Definition at line 1948 of file opencl.hpp.

## Constructor & Destructor Documentation

## ◆ Wrapper() [1/4]

cl::detail::Wrapper< cl_device_id >::Wrapper | ( |  | ) |
| inline

Definition at line 1973 of file opencl.hpp.

## ◆ Wrapper() [2/4]

cl::detail::Wrapper< cl_device_id >::Wrapper | ( | const cl_type & | obj,
|  | bool | retainObject
| ) |  |
| inline

Definition at line 1977 of file opencl.hpp.

## ◆ ~Wrapper()

cl::detail::Wrapper< cl_device_id >::~Wrapper | ( |  | ) |
| inline

Definition at line 1988 of file opencl.hpp.

## ◆ Wrapper() [3/4]

cl::detail::Wrapper< cl_device_id >::Wrapper | ( | const Wrapper< cl_type > & | rhs | ) |
| inline

Definition at line 1993 of file opencl.hpp.

## ◆ Wrapper() [4/4]

cl::detail::Wrapper< cl_device_id >::Wrapper | ( | Wrapper< cl_type > && | rhs | ) |
| inline

Definition at line 2000 of file opencl.hpp.

## Member Function Documentation

## ◆ get()

cl_type cl::detail::Wrapper< cl_device_id >::get | ( |  | ) | const
| inline

Definition at line 2043 of file opencl.hpp.

## ◆ isReferenceCountable()

static bool cl::detail::Wrapper< cl_device_id >::isReferenceCountable | ( | cl_device_id | device | ) |
| inlinestaticprotected

Definition at line 1954 of file opencl.hpp.

## ◆ operator()() [1/2]

cl_type & cl::detail::Wrapper< cl_device_id >::operator() | ( |  | ) |
| inline

Definition at line 2041 of file opencl.hpp.

## ◆ operator()() [2/2]

const cl_type & cl::detail::Wrapper< cl_device_id >::operator() | ( |  | ) | const
| inline

Definition at line 2039 of file opencl.hpp.

## ◆ operator=() [1/3]

Wrapper< cl_type > & cl::detail::Wrapper< cl_device_id >::operator= | ( | const cl_type & | rhs | ) |
| inline

Definition at line 2031 of file opencl.hpp.

## ◆ operator=() [2/3]

Wrapper< cl_type > & cl::detail::Wrapper< cl_device_id >::operator= | ( | const Wrapper< cl_type > & | rhs | ) |
| inline

Definition at line 2008 of file opencl.hpp.

## ◆ operator=() [3/3]

Wrapper< cl_type > & cl::detail::Wrapper< cl_device_id >::operator= | ( | Wrapper< cl_type > && | rhs | ) |
| inline

Definition at line 2019 of file opencl.hpp.

## ◆ release()

cl_int cl::detail::Wrapper< cl_device_id >::release | ( |  | ) | const
| inlineprotected

Definition at line 2062 of file opencl.hpp.

## ◆ retain()

cl_int cl::detail::Wrapper< cl_device_id >::retain | ( |  | ) | const
| inlineprotected

Definition at line 2052 of file opencl.hpp.

## Member Data Documentation

## ◆ object_

cl_type cl::detail::Wrapper< cl_device_id >::object_
| protected

Definition at line 1951 of file opencl.hpp.

## ◆ referenceCountable_

bool cl::detail::Wrapper< cl_device_id >::referenceCountable_
| protected

Definition at line 1952 of file opencl.hpp.

The documentation for this class was generated from the following file:

- opencl.hpp